kr.co.hanwha.hifive.adapter.viewholder

## Class MainProjectHeaderViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.MainProjectHeaderViewHolder

    public class MainProjectHeaderViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 2. 20..

### Field Summary

Fields
`private ProjectSpinnerAdapter` `mAdapterProject`
`private android.widget.ImageView` `mImageViewFilterAll`
`private android.widget.ImageView` `mImageViewFilterInProgress`
`private android.widget.LinearLayout` `mLayoutContainer`
`private android.widget.LinearLayout` `mLayoutFilterAll`
`private android.widget.LinearLayout` `mLayoutFilterInProgress`
`private android.widget.LinearLayout` `mLayoutIssueAdd`
`private android.widget.LinearLayout` `mLayoutIssueBottom`
`private android.widget.LinearLayout` `mLayoutIssueTop`
`private java.util.ArrayList<ProjectCounterMeasuresInfo>` `mListProjectCounterMeasures`
`private java.util.ArrayList<ProjectMembersInfo>` `mListProjectMembersInfo`
`private java.util.ArrayList<SpinnerData>` `mListProjects`
`private MainProjectListContract.OnMainProjectListListener` `mOnMainProjectListListener`
`private int` `mProject_id`
`private android.widget.Spinner` `mSpinnerProject`
`private android.widget.TextView` `mTextViewColor`
`private android.widget.TextView` `mTextViewFilterAll`
`private android.widget.TextView` `mTextViewFilterInProgress`
`private android.widget.TextView` `mTextViewMember`
`private android.widget.TextView` `mTextViewProject`
`private android.widget.TextView` `mTextViewSubTitle`
`private android.widget.TextView` `mTextViewTitle`
`private android.view.View` `mViewStatus`
`private android.view.View` `mViewStatus2`
`private android.view.View` `mViewStatus3`
`(package private) android.widget.AdapterView.OnItemSelectedListener` `onItemSelectedListener` AdapterView.OnItemSelectedListener

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`MainProjectHeaderViewHolder(android.view.ViewGroup viewGroup, MainProjectListContract.OnMainProjectListListener onMainProjectListListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int index)`
`private void` `onFilterClicked(ProjectFilterType filterType)`
`void` `setListProjectCounterMeasures(java.util.ArrayList<ProjectCounterMeasuresInfo> listProjectCounterMeasures)`
`void` `setListProjectMembersInfo(java.util.ArrayList<ProjectMembersInfo> listProjectMembersInfo)`
`void` `setListProjects(java.util.ArrayList<SpinnerData> listProjects)`
`void` `setProject_id(int project_id)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mSpinnerProject

    private android.widget.Spinner mSpinnerProject

#### mAdapterProject

    private ProjectSpinnerAdapter mAdapterProject

#### mTextViewProject

    private android.widget.TextView mTextViewProject

#### mTextViewMember

    private android.widget.TextView mTextViewMember

#### mTextViewTitle

    private android.widget.TextView mTextViewTitle

#### mTextViewSubTitle

    private android.widget.TextView mTextViewSubTitle

#### mViewStatus

    private android.view.View mViewStatus

#### mViewStatus2

    private android.view.View mViewStatus2

#### mViewStatus3

    private android.view.View mViewStatus3

#### mTextViewColor

    private android.widget.TextView mTextViewColor

#### mLayoutIssueTop

    private android.widget.LinearLayout mLayoutIssueTop

#### mLayoutIssueBottom

    private android.widget.LinearLayout mLayoutIssueBottom

#### mLayoutContainer

    private android.widget.LinearLayout mLayoutContainer

#### mLayoutIssueAdd

    private android.widget.LinearLayout mLayoutIssueAdd

#### mLayoutFilterInProgress

    private android.widget.LinearLayout mLayoutFilterInProgress

#### mImageViewFilterInProgress

    private android.widget.ImageView mImageViewFilterInProgress

#### mTextViewFilterInProgress

    private android.widget.TextView mTextViewFilterInProgress

#### mLayoutFilterAll

    private android.widget.LinearLayout mLayoutFilterAll

#### mImageViewFilterAll

    private android.widget.ImageView mImageViewFilterAll

#### mTextViewFilterAll

    private android.widget.TextView mTextViewFilterAll

#### mProject_id

    private int mProject_id

#### mListProjects

    private java.util.ArrayList<SpinnerData> mListProjects

#### mListProjectMembersInfo

    private java.util.ArrayList<ProjectMembersInfo> mListProjectMembersInfo

#### mListProjectCounterMeasures

    private java.util.ArrayList<ProjectCounterMeasuresInfo> mListProjectCounterMeasures

#### mOnMainProjectListListener

    private MainProjectListContract.OnMainProjectListListener mOnMainProjectListListener

#### onItemSelectedListener

    android.widget.AdapterView.OnItemSelectedListener onItemSelectedListener

AdapterView.OnItemSelectedListener

### Constructor Detail

#### MainProjectHeaderViewHolder

    public MainProjectHeaderViewHolder(@NonNull
                                       android.view.ViewGroup viewGroup,
                                       @Nullable
                                       MainProjectListContract.OnMainProjectListListener onMainProjectListListener)

### Method Detail

#### setListProjectMembersInfo

    public void setListProjectMembersInfo(java.util.ArrayList<ProjectMembersInfo> listProjectMembersInfo)

#### setListProjectCounterMeasures

    public void setListProjectCounterMeasures(java.util.ArrayList<ProjectCounterMeasuresInfo> listProjectCounterMeasures)

#### setListProjects

    public void setListProjects(java.util.ArrayList<SpinnerData> listProjects)

#### setProject_id

    public void setProject_id(int project_id)

#### onBind

    public void onBind(java.lang.Object object,
                       int index)

Overrides:
  `onBind` in class `BaseViewHolder`

#### onFilterClicked

    private void onFilterClicked(ProjectFilterType filterType)